End a call
const url = 'https://api.caller9.app/v1/calls/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/end';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.caller9.app/v1/calls/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/end \ --header 'Authorization: Bearer <token>'Removes the call from the studio. An answered call is hung up. A call that
is still queued (ringing) is not simply rejected: it is sent to the
studio’s voicemail greeting, the same as when the studio is busy. An outbound
call that has not been dialed yet is cancelled. Ending a call that has
already ended (but is still known to the studio) returns ok.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Call ID (UUID).
Responses
Section titled “Responses”Action accepted.
object
Example
{ "ok": true}Missing, invalid, expired or revoked API key.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}The key isn’t allowed to do this (e.g. a read-only key making a change).
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}call not found — the call doesn’t exist, belongs to another organization,
or has already ended (or, for reorder, call not found in queue).
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Too many requests for this API key. Retry after Retry-After seconds.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Headers
Section titled “Headers”Seconds until the rate-limit window resets.